Skip to main content
POST
Reject an incoming call

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Device-Id
string

Device identifier for multi-device support. Required when multiple devices are registered. If only one device is registered, it will be used as the default. Can also be provided as device_id query parameter.

Example:

"my-device-id"

Body

application/json
caller_jid
string
required

JID of the caller (from webhook payload.from)

Example:

"628987654321@s.whatsapp.net"

call_id
string
required

Unique call identifier (from webhook payload.call_id)

Example:

"ABC123DEF456"

Response

Call rejected successfully

code
string
Example:

"SUCCESS"

message
string
Example:

"Success"

results
string
Example:

null